:root {
  --background-color: #fffbe5;
  --primary-color: #533406;
  --secondary-color: #6099bf;
  --light-color: #fff;
  --dark-color: #333;
  --max-width: 1100px;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.5;
  background: var(--background-color);
}
a {
  color: var(--primary-color);
  text-decoration: none;
}
ul {
  list-style: none;
}
p {
  margin: 0.5rem 0;
  line-height: 1.7;
}
h2,
h3,
h4,
h5 {
  margin-bottom: 0.55rem;
  line-height: 1.3;
  column-gap: var(--primary-color);
}
/* utility */
.container {
  max-width: var(--max-width);
  margin: auto;

  overflow: hidden;
}

.card {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: minmax(200px, auto) 1fr;
  gap: 1rem;
  background: #fff;
  padding: 1rem;
}
.card img {
  text-align: center;
  border-radius: 10px;
  width: 80%;
  object-fit: cover;
  margin: 0 auto;
}
.card > div {
  align-items: center;
  justify-content: center;
  padding-left: 20px;
  margin: 0 auto;
}
.card-content {
  border-radius: 20px;
  border: 2px solid #f4f4f4;
  padding: 15px;
  margin: 20px auto;
  text-align: center;
  width: 90%;
}

.btn {
  cursor: pointer;
  display: inline-block;
  border: 1px solid #333;
  color: var(--light-color);
  background: var(--primary-color);
  padding: 0.9rem 2rem;
  margin-top: 30px;
}
.btn:hover {
  opacity: 0.7;
}
.btn-bars {
  display: none;
}
.bg-primary {
  background: #fff;
}
.py-1 {
  padding: 10px 0;
}
.text-align {
  text-align: left;
}
.heading {
  font-size: 3rem;
}
.justify-text {
  text-align: justify;
}
.hidden {
  display: none;
}


/*navigation  */
#main-nav {
  background: var(--light-color);
  position: sticky;
  top: 0;
  z-index: 2;
  height: 80px;
}

#main-nav .container {
  display: grid;
  grid-template-columns: 4fr 9fr 2fr;
  padding: 0 10px;
  align-items: center;
  justify-content: center;
}
#main-nav .logo {
  width: 80px;
}
#main-nav .nav-list {
  display: flex;
}
#main-nav .nav-list a {
  padding: 0.7rem;
  margin: 0 5px;
}
#main-nav .container #main-menu li a:hover,
#main-nav .container #main-menu li a.current {
  border: var(--primary-color) solid 1px;
  color: #333;
}

.sidebar {
  display: none;
}

/* showcase */
#showcase {
  color: var(--light-color);
  background: var(--dark-color);
  padding: 2rem;
  position: relative;
}
#showcase::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.6;
}
#showcase .showcase-container {
  display: grid;
  padding: 15px;
  margin: 20px auto;
  text-align: center;
  width: 90%;

  height: 70vh;
}
#showcase .showcase-content {
  font-size: 15px;
  z-index: 1;
}
#showcase .showcase-content p {
  margin-bottom: 3rem;
}
/* articles */
.grid-item {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 2rem;
  text-align: center;
  justify-content: center;
  padding: 0 10px;
  background: #f4f4f4;
  border-radius: 40px;
  box-shadow: 0 2px 8px 0 rgba(0, 12, 55, 0.1);
}

#home-article .flex-card {
  grid-column: 1/3 span;
}
#home-article .grid-item h2 {
  font-weight: bold;
  margin-bottom: 10px;
}
#home-article .grid-item > div {
  margin: 0 15px;
}

#home-article .article-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  grid-gap: 1rem;
}

#home-article .article-container > *:first-child,
#home-article .article-container > *:last-child {
  grid-column: 1 / span 2;
}
#home-article .article-container .article-content {
  background: #fff;
  padding-left: 20px;
}
#home-article .article-container .article-content h2 {
  padding-top: 20px;
  text-align: center;
}
#home-article .article-container .article-content > div {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

#home-article .btn-block {
  display: flex;
  text-align: center;
  justify-content: center;
  margin: auto;
  width: 50%;
}
.service {
  text-align: left;
}

/* hero */
.hgero {
  background: url("/img/main-logo.jpg") no-repeat center center/cover;
  height: 40vh;
  text-align: center;
  position: relative;
}
.hero::before {
  content: "";
  background: url("/img/main-logo.jpg") no-repeat center center/cover;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  opacity: 0.2;
}


/* contact */
#contact .form-container input, textarea {
  display: block;
  padding: 15px 15px;
  margin: 15px;
  width: 50%;
  background: #fff;
  border: var(--secondary-color) 1px solid;
  border-radius: 10px;
}
#contact .form-container textarea {
  height: 200px;
}
#contact .form-container input:focus,
#contact .form-container textarea:focus {
  outline: none;
  border: #1e5eb2 2px solid !important;
}

#contact .page-container {
  display: grid;
  align-items: center;
  justify-content: center;
  margin: 1rem;
}
/* #contact .page-container .contact-form  > *:first-child,
#contact .page-container .contact-form > *:last-child{
  grid-row: 1 / span 3;
  padding: 29px;
} */

/* blog */
#blog article h3 {
  margin-top: 15px;
}

#blog article h3 a {
  color: var(--secondary-color);
}
/* scroll btn */
.scroll-btn {
  margin-right: 20px;
  position: fixed;
  top: 90%;
  right: 00;
  z-index: 60;
  border: none;
  background: grey;
  color: #333;
  border-radius: 50%;
  height: 3rem;
  width: 3rem;
  font-size: 1.25rem;
  cursor: pointer;
}
/* footer */
#main-footer {
  background: var(--dark-color);
  color: var(--light-color);
}
#main-footer img {
  width: 100px;
}
#main-footer .footer-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.5rem;
}
#main-footer .footer-container a {
  color: var(--light-color);
}
#main-footer .footer-container > *:last-child {
  background: var(--light-color);
  color: #0E2E50;
  grid-column: 1 / span 4;
  padding: 8px;
  text-align: center;
  font-size: 16px;
}

.list li {
  padding: 8px 0;
  border-bottom: var(--light-color) dashed 1px;
}
.list li a:hover {
  color: var(--dark-color);
}
